local channel="self";
function ELGOH:Info()
	print("|cFF00FF00Welcome to the LGoH addon!");
	print("|cFF00FF00Shift Clicking the top button in the Fun Panel will allow you to change the legendary character in the Legend Facts database (a few of them will have bad grammar)");
	local elgohcommands = {"Standard Commands:",
							"/elgoh - Shows the main interface",
							"/elgoh postto <channel name> - Chooses where stuff is posted (Party, Guild, Say, Self etc.",
							"/elgoh dkp - Toggles the showing of prices on any epic gear",
							"/vote <1-5> - Cast your vote in any currently active poll",
							"",
							"Officer Commands:",
							"/breaktime <time in minutes> - Starts a DBM timer for the specified time (Requires DBM)",
							"/elgoh clean (rottgut) - Cleans inactive guild members, inactive for 30 days or 20 days for alts",
							"/elgoh officer - Opens the officer interface",
							"/elgoh request sync - Syncs the Spec Database with everyone in guild",
							"left click is for mainspec, Right click is for Offspec",
							"(Shift clicking the DKP button will post a list to whatever channel you have selected)"};	
	print("Elgoh Commands:");
	for i=1, #elgohcommands, 1 do
		print(elgohcommands[i]);
	end
end

SLASH_ELGOH1, SLASH_ELGOH2 = "/elgoh", "/lgoh";
SlashCmdList["ELGOH"] = function(msg, editBox)
	msg = string.lower(msg);
    if(msg=="officer" or msg=="o") then
		if (Officer) then
			frmOfficer:Show();
		else
			print("You are not an Officer");
		end
	elseif(string.find(msg, "postto")) then
		channel=string.sub(msg, 8);
		print("Elgoh: Output set to "..channel);
    elseif(msg=="rottgut" or msg=="clean") then
		if (Officer) then
			ELGOH:Rottgut();
		else
			print("You are not an Officer");
		end
	elseif(msg=="info" or msg=="help" or msg=="about") then
		ELGOH:Info()
	elseif(msg=="dkp") then
		if(showValues==1) then 
			showValues=0;
		else
			showValues=1;
		end
	elseif(msg=="report") then
		EDB:Report(1);
	elseif(msg=="request sync") then
		SendAddonMessage("EDBS", "request sync", "GUILD");
	elseif(msg=="report full") then
		EDB:Report();
	else
		frmMain:Show();
    end
end

SLASH_ANOO1 = "/anoo"
SlashCmdList["ANOO"] = function(msg, editBox)
msg = strlower(msg);
	if(msg=="version") then
		elgohCheck=1;
		SendAddonMessage("lgohv", "query", "GUILD");
	else
		ReloadUI();
	end
end

SLASH_LGOHB1 = "/breaktime"
SlashCmdList["LGOHB"] = function(msg, editBox)
local Time=msg;
	if(Time==nil) then  Time=10; end
	if(IsAddOnLoaded("DBM-Core")) then
		SendChatMessage("Breaktime! Be back in "..Time.." mins or you'll get CUNT TAX", "RAID")
		DBM:CreatePizzaTimer(60*Time, "Breaktime", 1, "the Officers")
	else
		print("Elgoh: Timers require Deadly Boss Mods");
	end
end

function PostTo(str)
	if(channel~="raid" and channel~="say" and channel~="party" and channel~="guild" and channel~="officer") then
		if(channel=="self") then
			print(str);
		else
			local channel, name= GetChannelName(channel);
			if(channel) then SendChatMessage(str,"CHANNEL",nil,channel); end
		end
	else
		if((channel=="Party" and GetNumPartymembers()==0) or (channel=="Raid" and GetNumRaidMembers()==0)) then print("You are not in a "..channel); return; end
		SendChatMessage(str, channel); 
	end
end